#ifndef UART_H
#define UART_H

#include "gd32e23x.h"

/*!
    \brief      initialize UART interface
    \param[in]  none
    \param[out] none
    \retval     none
*/
void uart_init(void);
void debug_usart_init(void);

/*! 
    \brief      pause UART RX interrupt (RBNE)
    \param[in]  none
    \param[out] none
    \retval     none
*/
void uart_rx_irq_pause(void);

/*! 
    \brief      resume UART RX interrupt (RBNE)
    \param[in]  none
    \param[out] none
    \retval     none
*/
void uart_rx_irq_resume(void);

#endif // UART_H
